# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           R2spec
Version:        2.5.1
Release:        6%{?dist}
Summary:        Python script to generate R spec file

Group:          Development/Languages
License:        GPLv3+
URL:            https://fedorahosted.org/r2spec/
Source0:        https://fedorahosted.org/releases/r/2/r2spec/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
Requires:       R

%description
This is a small python script that generates spec file for R libraries.
It can work from a URL or a tarball.

%prep
%setup -q

sed -i -e 's|topdir+"/SOURCE/"|topdir+"/SOURCES/"|' r2spec/Package.py
sed -i -e 's|os.copy("./" + self.source , topdir)|shutil.copy(self.source, topdir)|' r2spec/Package.py
sed -i -e 's|text = "Do you want to move the source (" + self.source + ") in " + topdir + "? Y/N [Y]\n"|text = "Do you want to copy the source (" + self.source + ") in " + topdir + "? Y/N [Y]\n"|' r2spec/Package.py
sed -i -e "s|'~'|os.path.expanduser('~')|" r2spec/Package.py

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot} 
chmod +x %{buildroot}/%{python_sitelib}/r2spec/%{name}.py

%clean
rm -rf %{buildroot}

%files 
#-f installed_files2
%defattr(-,root,root,-)
%doc README LICENSE CHANGELOG
%{python_sitelib}/*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%changelog
* Sun Dec 07 2008 Pingou <pingou-at-pingoured.fr> 2.5.1-6
- Correct the third sed 

* Sun Dec 07 2008 Pingou <pingou-at-pingoured.fr> 2.5.1-5
- Add the new sed to change the ~

* Sun Dec 07 2008 Pingou <pingou-at-pingoured.fr> 2.5.1-4
- Remove the Patch0

* Fri Dec 05 2008 Pingou <pingou-at-pingoured.fr> 2.5.1-3
- Apply patch for copy of the sources

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.5.1-2
- Rebuild for Python 2.6

* Tue Oct 07 2008 Pingou <pingou-at-pingoured.fr> 2.5.1-1
- New upstream release

* Sun Aug 31 2008 Pingou <pingou-at-pingoured.fr> 2.5.0-3
- Bring __init__.py back :)

* Sun Aug 31 2008 Pingou <pingou-at-pingoured.fr> 2.5.0-2
- Change Source0 to the correct one
- Correct a bug SOURCES != SOURCe
- Remove file __init__.py
- Change defattr(-,root,root) to defattr(-,root,root,-)

* Sun Aug 31 2008 Pingou <pingou-at-pingoured.fr> 2.5.0-1
- New upstream release

* Thu Aug 28 2008 Pingou <pingou-at-pingoured.fr> 2.4.2-1
- Update to version 2.4.2

* Wed Aug 20 2008 Pingou <pingou-at-pingoured.fr> 2.4.1-1
- Update to version 2.4.1

* Sun Aug 18 2008 Pingou <pingou-at-pingoured.fr> 2.4.0-1
- Update to version 2.4.0
- Addition of the spec into the sources

* Mon Aug 11 2008 Pingou <pingou-at-pingoured.fr> 2.3-2
- Change the source0 and url thanks to fedorahosted.org

* Sun Aug 10 2008 Pingou <pingou-at-pingoured.fr> 2.3-1
- Update to version 2.3

* Wed Jul 30 2008 Pingou <pingou-at-pingoured.fr> 2.2-1
- Update to version 2.2

* Wed Jul 30 2008 Pingou <pingou-at-pingoured.fr> 2.1-1
- Update to version 2.1

* Wed Jul 30 2008 Pingou <pingou-at-pingoured.fr> 2.0-1
- Update to version 2.0

* Tue Jul 29 2008 Pingou <pingou-at-pingoured.fr> 1.3-1
- First RPM for Fedora
